From de17e44bf91f05446f1fd33c8eab01d4aa7ec577 Mon Sep 17 00:00:00 2001
From: Ryan Lerch <rlerch@redhat.com>
Date: Apr 23 2016 06:26:16 +0000
Subject: [PATCH 427/1001] add runserver.py script with host & port args


This changes the way you run a dev server, with the
addition of runserver.py in the root dir of the project.

runserver.py now also has two arguments port and host
allowing the developer to choose the port and host that
their dev instance is running on.

The Readme is also updated adding the new way to start
the devserver, and also removing a few trailing white
spaces

---

diff --git a/hubs/app.py b/hubs/app.py
index 375816d..3732eea 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -480,7 +480,3 @@ def hub_leave(hub):
         return flask.abort(400)
     session.commit()
     return flask.redirect(flask.url_for('hub', name=hub.name))
-
-
-if __name__ == '__main__':
-    app.run(debug=True)
diff --git a/runserver.py b/runserver.py
new file mode 100755
index 0000000..54e1c5f
--- /dev/null
+++ b/runserver.py
@@ -0,0 +1,22 @@
+#!/usr/bin/env python2
+
+import argparse
+import sys
+import os
+
+parser = argparse.ArgumentParser(
+    description='Run the Hubs app')
+parser.add_argument(
+    '--port', '-p', default=5000,
+    help='Port for Hubs to run on.')
+parser.add_argument(
+    '--host', default="127.0.0.1",
+    help='Hostname to listen on. When set to 0.0.0.0 the server is available \
+          externally. Defaults to 127.0.0.1 making the it only visible on \
+          localhost')
+
+args = parser.parse_args()
+
+from hubs.app import app
+
+app.run(debug=True, host=args.host, port=int(args.port))

